# Contributing

This document describes how to contribute to this repository. Pull
requests containing bug fixes, updates, and extensions to the existing
tools in this repository will be considered for inclusion.

To maximize the likelihood your contribution will be accepted, it is a
good practice to file an
[issue](https://github.com/peterjc/galaxy_blast/issues) first and
discuss potential solution before proceeding with development.

## How to Contribute

* Make sure you have a [GitHub account](https://github.com/signup/free)
* Make sure you have git [installed](https://help.github.com/articles/set-up-git)
* Fork the repository on [GitHub](https://github.com/peterjc/galaxy_blast/fork)
* Make the desired modifications - consider using a [feature branch](https://github.com/Kunena/Kunena-Forum/wiki/Create-a-new-branch-with-git-and-manage-branches).
* Make sure you have added the necessary tests for your changes and they pass. See [TESTING](https://github.com/peterjc/galaxy_blast#testing) for more information.
* Open a [pull request](https://help.github.com/articles/using-pull-requests)
  with these changes.
